Subject: Re: [PATCH net-next v2] openvswitch: enable NSH support

From: Jiri Benc <[email-masked]>
Date: Mon, 14 Aug 2017 12:47:42 +0200

On Mon, 14 Aug 2017 10:35:42 +0000, Jan Scheurich wrote:
> Is it worth to speculate on how a hypothetical future NSH version
> (with a different Version value in the Base header) might look like?

Absolutely. This is uAPI we're talking about and once merged, it's set
in stone. Whatever we come up with should allow future extensibility.

> If this should ever arise, we could introduce a new push_nsh_v2
> action.

Which would mean we failed with the design. We would have to maintain
two parallel APIs forever. This is not how the design should be made.

 Jiri